<?xml version="1.0" encoding="UTF-8"?>
<device image="IMG-000241.png" type="DMXDevice" dmxaddresscount="35" dmxcversion="3.1.0" ddfversion="1.0.0">
  <information>
    <ddf-library-id>844</ddf-library-id>
    <model>A.LEDA B-EYE K20</model>
    <vendor>Clay Paky</vendor>
    <author>Patrick Grote</author>
    <mode>Shaped</mode>
  </information>
  <functions>
    <rgb>
      <red dmxchannel="0" finedmxchannel="1"/>
      <green dmxchannel="2" finedmxchannel="3"/>
      <blue dmxchannel="4" finedmxchannel="5"/>
      <white dmxchannel="6" finedmxchannel="7"/>
    </rgb>
    <colortemp dmxchannel="8">
      <range mindmx="0" maxdmx="9" minval="0" maxval="0"/>
      <range mindmx="255" maxdmx="10" minval="2500" maxval="8000"/>
    </colortemp>
    <const dmxchannel="9" name="Macro Color" val="0"/>
    <strobe dmxchannel="10">
      <range type="linear" mindmx="0" maxdmx="103" minval="1" maxval="12"/>
      <range type="pulse" mindmx="108" maxdmx="207" minval="0.5" maxval="6"/>
      <range type="random" mindmx="213" maxdmx="251" minval="1" maxval="12"/>
    </strobe>
    <shutter dmxchannel="10">
      <step type="open" mindmx="252" maxdmx="255"/>
      <step type="open" mindmx="208" maxdmx="212"/>
      <step type="open" mindmx="104" maxdmx="107"/>
      <step type="closed" mindmx="0" maxdmx="3"/>
    </shutter>
    <dimmer dmxchannel="11" finedmxchannel="12"/>
    <position>
      <pan dmxchannel="13" finedmxchannel="14">
        <range range="540"/>
      </pan>
      <tilt dmxchannel="15" finedmxchannel="16">
        <range range="210"/>
      </tilt>
    </position>
    <rawstep dmxchannel="17" name="Pixel Engine">
      <step caption="Disabled" mindmx="0" maxdmx="0"/>
      <step caption="Enabled" mindmx="103" maxdmx="105"/>
    </rawstep>
    <const dmxchannel="18" name="Reset" val="0"/>
    <zoom dmxchannel="19">
      <!--
	  <rotation dmxchannel="20" >
	    <step type="stop" mindmx="191" maxdmx="192" />
        <range type="ccw" mindmx="190" maxdmx="128" minval="0.0083333" maxval="0.17" />
        <range type="cw" mindmx="193" maxdmx="255" minval="0.0083333" maxval="0.17" />
	  </rotation>
	  <index dmxchannel="20" />
	  -->
      <range type="linear" mindmx="0" maxdmx="45" minval="4" maxval="13.529411764705882352941176470588"/>
      <range type="linear" mindmx="46" maxdmx="255" minval="13.749019607843137254901960784313" maxval="60">
        <!--<range handler="index" range="4" mindmx="0" maxdmx="127" />
		<range handler="index" range="0" mindmx="128" maxdmx="255" />-->
      </range>
    </zoom>
    <rotation dmxchannel="20">
      <step type="stop" mindmx="191" maxdmx="192"/>
      <range type="ccw" mindmx="190" maxdmx="128" minval="0.0083333" maxval="0.17"/>
      <range type="cw" mindmx="193" maxdmx="255" minval="0.0083333" maxval="0.17"/>
    </rotation>
  </functions>
  <functions>
    <dimmer dmxchannel="29"/>
    <strobe dmxchannel="33">
      <range type="linear" mindmx="0" maxdmx="103" minval="1" maxval="12"/>
      <range type="pulse" mindmx="108" maxdmx="207" minval="0.5" maxval="6"/>
      <range type="random" mindmx="213" maxdmx="251" minval="1" maxval="12"/>
    </strobe>
    <shutter dmxchannel="33">
      <step type="open" mindmx="252" maxdmx="255"/>
      <step type="open" mindmx="208" maxdmx="212"/>
      <step type="open" mindmx="104" maxdmx="107"/>
      <step type="closed" mindmx="0" maxdmx="3"/>
    </shutter>
    <rawstep dmxchannel="34" name="Background Select">
      <step caption="No Selection" mindmx="0" maxdmx="8"/>
      <step caption="Pixel 1" mindmx="9" maxdmx="9"/>
      <step caption="Ring 2" mindmx="10" maxdmx="10"/>
      <step caption="Ring 3" mindmx="11" maxdmx="11"/>
      <step caption="Ring 4" mindmx="12" maxdmx="12"/>
      <step caption="Pixel 1 + Ring 2" mindmx="13" maxdmx="13"/>
      <step caption="Pixel 1 + Ring 2 + Ring 3" mindmx="14" maxdmx="14"/>
      <step caption="Pixel 1 + Ring 2 + Ring 3 + Ring 4" mindmx="15" maxdmx="15"/>
      <step caption="Ring 2 + Ring 3 + Ring 4" mindmx="16" maxdmx="16"/>
      <step caption="Ring 3 + Ring 4" mindmx="17" maxdmx="17"/>
      <step caption="Pixel 1 + Ring 4" mindmx="18" maxdmx="18"/>
      <step caption="Ring 2 + Ring 3" mindmx="19" maxdmx="19"/>
      <step caption="Pixel 1 + Ring 3" mindmx="20" maxdmx="20"/>
      <step caption="Ring 2 + Ring 4" mindmx="21" maxdmx="21"/>
      <step caption="Pixel 1 + Ring 3 + Ring 4" mindmx="22" maxdmx="22"/>
      <step caption="Pixel 1 + Ring 2 + Ring 4" mindmx="23" maxdmx="23"/>
      <step caption="Mirror Effct" mindmx="255" maxdmx="255"/>
    </rawstep>
  </functions>
  <functions>
    <rawstep dmxchannel="21" name="Shape Selection">
      <step caption="Off" mindmx="0" maxdmx="7"/>
      <step caption="Pixel 1" mindmx="8" maxdmx="8"/>
      <step caption="Ring 2" mindmx="9" maxdmx="9"/>
      <step caption="Ring 3" mindmx="10" maxdmx="10"/>
      <step caption="Ring 4" mindmx="11" maxdmx="11"/>
      <step caption="Pixel 1 + Ring 2" mindmx="12" maxdmx="12"/>
      <step caption="Pixel 1 + Ring 3" mindmx="13" maxdmx="13"/>
      <step caption="Pixel 1 + Ring 4" mindmx="14" maxdmx="14"/>
      <step caption="Single Ring (Ramp -/+)" mindmx="15" maxdmx="15"/>
      <step caption="Filled Rings (Ramp -/+)" mindmx="16" maxdmx="16"/>
      <step caption="Open / Close 1" mindmx="17" maxdmx="17"/>
      <step caption="Open / Close 2" mindmx="18" maxdmx="18"/>
      <step caption="Random Pixels 1" mindmx="19" maxdmx="19"/>
      <step caption="Random Pixels 2" mindmx="20" maxdmx="20"/>
      <step caption="Rainbow 1 (Variable Speed)" mindmx="21" maxdmx="21"/>
      <step caption="Rainbow 2 (Variable Color Offset)" mindmx="22" maxdmx="22"/>
      <step caption="Fan" mindmx="23" maxdmx="23"/>
      <step caption="Bar 1" mindmx="24" maxdmx="24"/>
      <step caption="Half Moon" mindmx="25" maxdmx="25"/>
      <step caption="Triangle" mindmx="26" maxdmx="26"/>
      <step caption="Segment 1" mindmx="27" maxdmx="27"/>
      <step caption="Arc 1" mindmx="28" maxdmx="28"/>
      <step caption="Arc 2" mindmx="29" maxdmx="29"/>
      <step caption="Bar 2 (Variable Size)" mindmx="30" maxdmx="30"/>
      <step caption="Random Explosion" mindmx="31" maxdmx="31"/>
      <step caption="Segment 2" mindmx="32" maxdmx="32"/>
      <step caption="X Bump" mindmx="33" maxdmx="33"/>
      <step caption="Image" mindmx="34" maxdmx="34"/>
      <step caption="Bumping Section" mindmx="35" maxdmx="35"/>
      <step caption="Ramp by 6" mindmx="36" maxdmx="36"/>
      <step caption="Ramp by 4" mindmx="37" maxdmx="37"/>
      <step caption="Left/Right Scrolling Bar" mindmx="38" maxdmx="38"/>
      <step caption="Up/Down Scrolling Bar" mindmx="39" maxdmx="39"/>
      <step caption="Bar 3" mindmx="40" maxdmx="40"/>
      <step caption="Vertical Arc 1" mindmx="41" maxdmx="41"/>
      <step caption="Vertical Arc 2" mindmx="42" maxdmx="42"/>
      <step caption="Horizontal Arc 1" mindmx="43" maxdmx="43"/>
      <step caption="Horizontal Arc 2" mindmx="44" maxdmx="44"/>
      <step caption="Mirrored Pixel" mindmx="45" maxdmx="45"/>
      <step caption="Pixel Animation 1" mindmx="46" maxdmx="46"/>
      <step caption="Pixel Animation 2" mindmx="47" maxdmx="47"/>
      <step caption="Pixel Animation 3" mindmx="48" maxdmx="48"/>
      <step caption="Pixel Animation 4" mindmx="49" maxdmx="49"/>
      <step caption="Pixel Animation 5" mindmx="50" maxdmx="50"/>
      <step caption="Semi Arc (Ramp -/+)" mindmx="51" maxdmx="51"/>
      <step caption="Bumping Arc Section" mindmx="52" maxdmx="52"/>
      <step caption="Pixel Animation 6" mindmx="53" maxdmx="53"/>
      <step caption="Vertical Ramp by 2" mindmx="54" maxdmx="54"/>
      <step caption="Following Pixel by 2" mindmx="55" maxdmx="55"/>
      <step caption="Syncopation" mindmx="56" maxdmx="56"/>
      <step caption="Bumping 1" mindmx="57" maxdmx="57"/>
      <step caption="Bumping 2" mindmx="58" maxdmx="58"/>
      <step caption="Bumping 3" mindmx="59" maxdmx="59"/>
      <step caption="Vertical Pixel Scrolling" mindmx="60" maxdmx="60"/>
      <step caption="Random Vertical Section" mindmx="61" maxdmx="61"/>
      <step caption="Random Central Section" mindmx="62" maxdmx="62"/>
      <step caption="Random Ring 3" mindmx="63" maxdmx="63"/>
      <step caption="Random Ring 4" mindmx="64" maxdmx="64"/>
      <step caption="Random Ring 2 + 4" mindmx="65" maxdmx="65"/>
      <step caption="Random Ring 3 + 4" mindmx="66" maxdmx="66"/>
      <step caption="Single Pixel Ring 2" mindmx="67" maxdmx="67"/>
      <step caption="Single Pixel Ring 3" mindmx="68" maxdmx="68"/>
      <step caption="Single Pixel Ring 4" mindmx="69" maxdmx="69"/>
      <step caption="Spiral" mindmx="70" maxdmx="70"/>
    </rawstep>
    <raw dmxchannel="22" name="Shape Speed"/>
    <raw dmxchannel="23" name="Shape Fade"/>
    <rgb>
      <red dmxchannel="24"/>
      <green dmxchannel="25"/>
      <blue dmxchannel="26"/>
      <white dmxchannel="27"/>
    </rgb>
    <dimmer dmxchannel="28"/>
    <raw dmxchannel="30" name="Shape Transition"/>
    <raw dmxchannel="31" name="Shape Offset"/>
    <strobe dmxchannel="32">
      <range type="linear" mindmx="0" maxdmx="103" minval="1" maxval="12"/>
      <range type="pulse" mindmx="108" maxdmx="207" minval="0.5" maxval="6"/>
      <range type="random" mindmx="213" maxdmx="251" minval="1" maxval="12"/>
    </strobe>
    <shutter dmxchannel="32">
      <step type="open" mindmx="252" maxdmx="255"/>
      <step type="open" mindmx="208" maxdmx="212"/>
      <step type="open" mindmx="104" maxdmx="107"/>
      <step type="closed" mindmx="0" maxdmx="3"/>
    </shutter>
  </functions>
  <procedures>
    <reset>
      <set dmxchannel="18" value="255"/>
      <hold value="6000"/>
      <restore dmxchannel="18"/>
    </reset>
    <reset_pan_tilt>
      <set dmxchannel="18" value="120"/>
      <hold value="6000"/>
      <restore dmxchannel="18"/>
    </reset_pan_tilt>
    <reset_zoom>
      <set dmxchannel="18" value="70"/>
      <hold value="6000"/>
      <restore dmxchannel="18"/>
    </reset_zoom>
    <procedure name="Pan Tilt Fast (Default)">
      <set dmxchannel="17" value="13"/>
      <hold value="5000"/>
      <restore dmxchannel="17"/>
    </procedure>
    <procedure name="Pan Tilt Normal">
      <set dmxchannel="17" value="25"/>
      <hold value="5000"/>
      <restore dmxchannel="17"/>
    </procedure>
    <procedure name="Dimmer Curve Linear">
      <set dmxchannel="17" value="39"/>
      <hold value="5000"/>
      <restore dmxchannel="17"/>
    </procedure>
    <procedure name="Dimmer Curve Gamma 1.5">
      <set dmxchannel="17" value="44"/>
      <hold value="5000"/>
      <restore dmxchannel="17"/>
    </procedure>
    <procedure name="Dimmer Curve Gamma 2.0">
      <set dmxchannel="17" value="49"/>
      <hold value="5000"/>
      <restore dmxchannel="17"/>
    </procedure>
    <procedure name="Dimmer Curve S">
      <set dmxchannel="17" value="53"/>
      <hold value="5000"/>
      <restore dmxchannel="17"/>
    </procedure>
    <procedure name="RGBW Curve Linear">
      <set dmxchannel="17" value="59"/>
      <hold value="5000"/>
      <restore dmxchannel="17"/>
    </procedure>
    <procedure name="RGBW Curve Gamma 1.5">
      <set dmxchannel="17" value="64"/>
      <hold value="5000"/>
      <restore dmxchannel="17"/>
    </procedure>
    <procedure name="RGBW Curve Gamma 2.0">
      <set dmxchannel="17" value="69"/>
      <hold value="5000"/>
      <restore dmxchannel="17"/>
    </procedure>
    <procedure name="Halogen Lamp Sim. OFF">
      <set dmxchannel="17" value="74"/>
      <hold value="5000"/>
      <restore dmxchannel="17"/>
    </procedure>
    <procedure name="Halogen Lamp Sim. 1">
      <set dmxchannel="17" value="79"/>
      <hold value="5000"/>
      <restore dmxchannel="17"/>
    </procedure>
    <procedure name="Halogen Lamp Sim. 2">
      <set dmxchannel="17" value="84"/>
      <hold value="5000"/>
      <restore dmxchannel="17"/>
    </procedure>
    <procedure name="Halogen Lamp Sim. 3">
      <set dmxchannel="17" value="89"/>
      <hold value="5000"/>
      <restore dmxchannel="17"/>
    </procedure>
    <procedure name="Halogen Lamp Sim. 4">
      <set dmxchannel="17" value="94"/>
      <hold value="5000"/>
      <restore dmxchannel="17"/>
    </procedure>
    <procedure name="Halogen Lamp Sim. 5">
      <set dmxchannel="17" value="99"/>
      <hold value="5000"/>
      <restore dmxchannel="17"/>
    </procedure>
  </procedures>
</device>
